> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscription lifecycle API (BETA)

> Use the subscription lifecycle API to manage the state of active revenue subscriptions in your HubSpot account.

export const BetaDisclaimerBanner = () => <Warning>
        This functionality is currently in beta. By participating in this beta, you agree to HubSpot's <a href="https://legal.hubspot.com/developer-terms">Developer Terms</a> and <a href="https://legal.hubspot.com/developerbetaterms">Developer Beta Terms</a>. Note that the functionality is still under active development and is subject to change based on testing and feedback.
    </Warning>;

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Required Scopes" icon="key">
  <ScopesList
    scopes={[
  'crm.objects.contacts.read',
  'crm.objects.contacts.write'
]}
  />
</Accordion>

<BetaDisclaimerBanner />

Use the subscription lifecycle API to manage the state of active subscriptions associated with CRM records. You can pause, unpause, or cancel a subscription using the subscription's CRM object ID.

Learn more about [subscriptions](https://knowledge.hubspot.com/subscriptions/create-subscriptions) in HubSpot.

## Cancel a subscription

To cancel an active subscription, make a `POST` request to `/payments-subscriptions/2027-03-beta/subscriptions/crm/{objectId}/cancel`, where `objectId` is the CRM object ID of the subscription.

No request body is required. A successful response returns `200`.

## Pause a subscription

To pause an active subscription, make a `POST` request to `/payments-subscriptions/2027-03-beta/subscriptions/crm/{objectId}/pause`, where `objectId` is the CRM object ID of the subscription.

No request body is required. A successful response returns `200`.

## Unpause a subscription

To resume a previously paused subscription, make a `POST` request to `/payments-subscriptions/2027-03-beta/subscriptions/crm/{objectId}/unpause`, where `objectId` is the CRM object ID of the subscription.

No request body is required. A successful response returns `200`.
